Summary: A program that monitors disk capacity on your partitions and warns you when they exceed set thresholds.
Name: spacewatcher
Version: 1.3
Release: 1
Copyright: GPL
Group: Applications/System
Source: http://www.penguinpowered.org.uk/scripts/spacewatcher-%{version}.tgz
BuildRoot: /var/tmp/%{name}-buildroot
PreReq: perl
Requires: perl
BuildPreReq: perl

%description
This piece of software will monitor the capacity on your partitions and will
warn you when the amount of used space exceeds default or set thresholds. It 
is very useful for people who are maintaining several systems and don't want 
the added headache of having to worry about the state of their space.

Install this if you want one part of your daily maintenance worries to go 
away.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin/spacewatcher
mkdir -p $RPM_BUILD_ROOT/usr/doc/spacewatcher-1.3
mkdir -p $RPM_BUILD_ROOT/etc/spacewatcher

install -s -m 755 watchspace.pl $RPM_BUILD_ROOT/usr/local/bin/spacewatcher/watchspace.pl
install -s -m 755 configure.pl $RPM_BUILD_ROOT/usr/local/bin/spacewatcher/configure.pl
install -s -m 755 autoconfig.pl $RPM_BUILD_ROOT/usr/local/bin/spacewatcher/autoconfig.pl
install -m 644 CHANGELOG $RPM_BUILD_ROOT/usr/doc/spacewatcher-1.3/CHANGELOG
install -m 644 COPYING $RPM_BUILD_ROOT/usr/doc/spacewatcher-1.3/COPYING
install -m 644 NOTES $RPM_BUILD_ROOT/usr/doc/spacewatcher-1.3/NOTES

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/local/bin/spacewatcher/autoconfig.pl

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING NOTES
%attr(0755,root,root) /usr/local/bin/spacewatcher/watchspace.pl
%attr(0755,root,root) /usr/local/bin/spacewatcher/configure.pl
%attr(0755,root,root) /usr/local/bin/spacewatcher/autoconfig.pl
%attr(0755,root,root) /etc/spacewatcher

%changelog
* Sat May 05 2000 Wayne Pascoe <wayne@penguinpowered.org.uk> 
- First build of spec file
